Page MenuHomePhabricator

Introducing $wgSitename and $wgGrammarForms on fy.wiktionary.org
Open, LowestPublic

Description

Dear All,

Please, could someone set the sitename in $wgSitename[1] on fy.wiktionary.org to the project namespace, i.e. Wikiwurdboek, so {{SITENAME}} can be used for the translated form. This would be the finishing touch for completed task T202769[2]. Announcement has been done on the local 'village pump' page in exhibit [3], although I don't expect any response. (I'm still the only regular editor of the wiki.)

That's an easy one, isn't it? :-) Nevertheless, thank you very much in advance!

Update: I would like to expand the request using $wgGrammarForms. I'll write a patch for that.

Details

Related Gerrit Patches:
mediawiki/extensions/WikimediaMessages : masterIntroduce wgGrammarForms for fywiktionary
operations/mediawiki-config : master[fywiktionary] Set a local wgSitename
mediawiki/extensions/WikimediaMessages : masterIntroduce wgGrammarForms for fywiktionary

Event Timeline

Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptJan 4 2020, 2:21 PM

Setting project to Wikimedia-Site-requests, as this request is about settings / configuration of a Wikimedia website. (Please follow https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes when requesting such kinds of changes.)

If you are curious and want to try making this configuration change yourself, please see https://wikitech.wikimedia.org/wiki/Wikimedia_site_requests and give it a try!

PiefPafPier updated the task description. (Show Details)Jan 4 2020, 3:08 PM

(...)
If you are curious and want to try making this configuration change yourself, please see https://wikitech.wikimedia.org/wiki/Wikimedia_site_requests and give it a try!

Hi Aklapper, that's OK to me. Do I need additional user rights?

PiefPafPier triaged this task as Lowest priority.
PiefPafPier updated the task description. (Show Details)
PiefPafPier removed a subscriber: Liuxinyu970226.
This comment was removed by PiefPafPier.

Hi @PiefPafPier, thanks for taking a look at the code! As explained on https://wikitech.wikimedia.org/wiki/Wikimedia_site_requests , "follow mw:Gerrit/Tutorial to create your first software change". It explains that proposed changes must be submitted in Gerrit to get reviewed. Thanks for your understanding. :)

Patches must be in Gerrit, hence removing tag.

PiefPafPier renamed this task from Request to correct $wgSitename on fy.wiktionary.org to Introducing $wgSitename and $wgGrammarForms on fy.wiktionary.org.Jan 6 2020, 8:04 AM

Patches are in Gerrit now ... Let's roll.
https://gerrit.wikimedia.org/r/562514 (Introduce wgGrammarForms for fywiktionary)
https://gerrit.wikimedia.org/r/562517 (Introduce wgSitename for fywiktionary)

Change 562514 had a related patch set uploaded (by Aklapper; owner: PiefPafPier):
[mediawiki/extensions/WikimediaMessages@master] Introduce wgGrammarForms for fywiktionary

https://gerrit.wikimedia.org/r/562514

Change 562517 had a related patch set uploaded (by Aklapper; owner: PiefPafPier):
[operations/mediawiki-config@master] Introduce wgSitename for fywiktionary

https://gerrit.wikimedia.org/r/562517

Added some helpful comments to the patch, and the option to use the abbreviated form of the article, which is actually used a lot after one-syllable prepositions. Language purists will love it.

@Aklapper, @MarcoAurelio, I would like to apologize for obviously doing something wrong again. I've uploaded a better patch, and included the Change-Id, so it would replace the previous patch. I thought I'd read that somewhere. The last patch - https://gerrit.wikimedia.org/r/c/562759 - is the final one. Could patch https://gerrit.wikimedia.org/r/c/562514 please be dropped?
Kind regards!

Hi,

I've uploaded a better patch, and included the Change-Id, so it would replace the previous patch.

See https://www.mediawiki.org/wiki/Gerrit/Tutorial#Amending_a_change how to amend a patch.

I thought I'd read that somewhere. The last patch - https://gerrit.wikimedia.org/r/c/562759 - is the final one. Could patch https://gerrit.wikimedia.org/r/c/562514 please be dropped?

You could. See "Abandon" on https://www.mediawiki.org/wiki/Gerrit/Tutorial#How_to_comment_on,_review,_and_merge_code_in_Gerrit

Change 562514 abandoned by Jforrester:
Introduce wgGrammarForms for fywiktionary

Reason:
Replaced by Ia9833807.

https://gerrit.wikimedia.org/r/562514

Change 562759 had a related patch set uploaded (by Jforrester; owner: PiefPafPier):
[mediawiki/extensions/WikimediaMessages@master] Introduce wgGrammarForms for fywiktionary

https://gerrit.wikimedia.org/r/562759

Change 562517 merged by jenkins-bot:
[operations/mediawiki-config@master] [fywiktionary] Set a local wgSitename

https://gerrit.wikimedia.org/r/562517

Mentioned in SAL (#wikimedia-operations) [2020-02-12T19:19:39Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T241883 [fywiktionary] Set a local wgSitename (duration: 01m 03s)

Change 562759 had a related patch set uploaded (by Jforrester; owner: PiefPafPier):
[mediawiki/extensions/WikimediaMessages@master] Introduce wgGrammarForms for fywiktionary
https://gerrit.wikimedia.org/r/562759

I took the Polish entry (pl) as an example, which doesn't have a 'LanguagePl.php' class ... (?)